[Unit]
Description=node-exporter
After=network.target

[Service]
WorkingDirectory={{ node_exporter_path }}
User={{ node_exporter_user }}
Group={{ node_exporter_user }}
Type=simple
ExecStart={{ node_exporter_path }}/node_exporter-{{ node_exporter_version }}.linux-{{ 'amd64' if ansible_architecture == 'x86_64' else ansible_architecture }}/node_exporter

KillMode=process
KillSignal=SIGINT
TimeoutStopSec=90
Restart=on-failure
RestartSec=10s

[Install]
WantedBy=default.target
